Uploaded image for project: 'Appcelerator Studio'
  1. Appcelerator Studio
  2. TISTUD-214

Defaulting to highest numbered Android SDK for launching app is going to be problematic

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: Titanium Studio M3 (Public beta 1)
    • Component/s: None
    • Environment:

      osx 10.6.6, Ti Studio 1.0.0.201103291204, Ti Mobile SDK 1.7.0

      Description

      Maybe a preference page is needed. In general, Android 3.0 and 2.3 are going to be problematic. Android 3.0 (Honeycomb) emulator is a dog, and not many people are writing apps for it (and we barely support it.) Android 2.3 emulator has a well-known problem with WebView, which may affect many users. Recommend that maybe a preference page be created where user can set default emulator. And the default upon installing Ti Studio should probably be Android 2.2.

        Attachments

          Activity

            People

            • Assignee:
              mstepanov Max Stepanov
              Reporter:
              billdawson Bill Dawson
            • Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: